petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISLocalToGlobalMappingRestoreNodeInfo

Frees the memory allocated by ISLocalToGlobalMappingGetNodeInfo()

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingRestoreNodeInfo(ISLocalToGlobalMapping mapping,PetscInt *nnodes,PetscInt *count[],PetscInt **indices[])

Collective on ISLocalToGlobalMapping

### Input Parameters

mapping -the mapping from local to global indexing

### Output Parameter

| nnodes | - number of local nodes
| count | - number of neighboring processors per node
| indices | - indices of processes sharing the node (sorted)

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreateIS(), ISLocalToGlobalMappingCreate(),
ISLocalToGlobalMappingGetInfo()

### Level

advanced

### Location

src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages